/*
Copyright (C) 1996,1997,1998,1999 Didier VIDAL

This file is part of Scheme With Types, herein refered as SWiT.

SWiT is free software; you can redistribute it and/or modify it under
the terms of the GNU LIBRARY GENERAL PUBLIC LICENSE as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

SWiT is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
License for more details.

You should have received a copy of the GNU Library General Public License
along with SWiT software; see the file COPYING.
If not, write to the Free Software
Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

*/

/* Instruction tags (all even and small !!) */
#define QUOTE_CODE 0
#define PCALL_CODE 2
#define SCALL_CODE 4
#define ECALL_CODE 6
#define SYMBOL_CODE 8
#define LVAR_CODE 10
#define STEP_CODE 12
/* 14, 16 : unused tags */
#define UNDEFINE_CODE 18
#define LAMBDA_CODE 20
#define IF_CODE 22
#define AND_CODE 24
#define OR_CODE 26
#define BEGIN_CODE 28
#define LET_CODE 30
#define LETSTAR_CODE 32
#define LETREC_CODE 34
#define SET_CODE 36
#define COND_CODE 38
#define CASE_CODE 40
#define ARROW_CODE 42
/* 44 : unused tag */
#define DELAY_CODE 46
/* 48 : unused tag */
#define DEFINE_CODE 50
#define DEFMACRO_CODE 52
/* 54 -- 60 unused tags */
#define TRY_CODE 62
#define DEFAULT_CODE 64
#define CALL0N_CODE 66
#define CALL1_CODE 68
#define CALL1N_CODE 70
#define CALL2_CODE 72
#define CALL2N_CODE 74
#define CALL3_CODE 76
#define LSET_CODE 78
#define GSET_CODE 80
#define CALL_CODE 82
#define THUNK_CODE 84
#define SPLICE_CODE 86
#define ELSE_CODE 88
#define CALL0_CODE 90
#define DONE 92
#define BREAK 94
#define PROTECT_CODE 96
