/*
Copyright (C) 1996,1997,1998,1999 Didier VIDAL

This file is part of Scheme With Types, herein refered as SWiT.

SWiT is free software; you can redistribute it and/or modify it under
the terms of the GNU LIBRARY GENERAL PUBLIC LICENSE as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

SWiT is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
License for more details.

You should have received a copy of the GNU Library General Public License
along with SWiT software; see the file COPYING.
If not, write to the Free Software
Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

*/

/* generic */
char *unknown_error = "unknown error";
/* init */
char *banner_msg = "Scheme With Types (swit) Version %s (%s)\nAuthor: Didier Vidal\n";
char *browse_msg = "Browse the documentation with `helpx'\n";
char *implementation_date = "April 1999";
char *load_init = "[WARNING] -- error at line %d while loading `switinitrc'\n";
char *lib_path_error = "file `%s' does not exists !\nCheck SWIT_LIBRARY_PATH environment variable\n";
char *loading_file = "; loading `%s' ...\n";
char *skip_file = "[WARNING] -- line %d : file `%s' does not exists (skipped)\n";
char *file_not_exists = "[WARNING] -- file `%s' does not exists\n";
char *init_done = "Initialisation done\n";
char *no_tk = "Warning: Tk extension is not valid\n";
char *load_err = "[WARNING] --- error while loading `%s', skipped\n";
char *file_not_found = "File `%s' not found\n";
/* top level */
char *temps = "time : %1.0f ms\n";
char *err_prompt = "[ERROR] -- ";
char *cerr_prompt = "[CERROR] -- ";
char *error_at_line = "%s : error at line %d, ";
char *exception_newline = "Exception raised\n";
char *exception = "Exception raised";
char *uncaught_exception = "(uncaught exception '%s)";
char *in = "in: ";
char *arith_error = "Arithmetic error\n";
char *stack_overflow = "Stack overflow\n";
char *bus_error = "Bus error\n";
char *seg_fault = "Segmentation fault\n";
char *interrupt_received = "Interrupt received\n";
char *ret_to_top = "Returning to top-level\n";
char *comp_impl_err = " (compile) IMPLEMENTATION ERROR";
char *type_impl_err = " (type) IMPLEMENTATION ERROR";
/* eval */
char *wrong_type = "wrong type in argument";
char *wrong_arity = "wrong number of arguments (%d found)";
char *must_be_thunk = "thunk expected (%d arguments found)";
char *not_a_thunk = "not a thunk";
char *prim_redef = "[WARNING] -- redefinition of primitive `%s'\n";
char *call_cc_wrong_arg = "call/cc: wrong arg";
char *improper_list = "improper list";
char *not_a_proc = "call: not a procedure";
/* character */
char *out_of_range = "out of range";
/* pair */
char *not_a_pair = "argument must be a pair";
char *proper_list = "argument must be a proper list";
char *proper_list1 = "first argument must be a proper list";
char *list_of_pairs = "second argument must be list of pairs";
char *index_too_large = "index too large";
char *not_an_alist = "argument must be an a-list";
/* symbol */
char *wrong_number = "wrong # of arguments, at least 3 expected but found 2";
char *iskeyword = "argument is a keyword";
char *cannot_set = "symbol cannot be assigned";
char *isunbound = "unbound symbol";
char *cannot_unbound = "symbol cannot become unbound";
char *sig_not_defined = "signature not defined";
/* vector */
char *finite_list = "argument must be a finite list";
char *bsearch_error = "#'binary-search or #'sort!: unknown error";
char *bsearch_error2 = "#'binary-search or #'sort!: second argument must be a comparison function";
/* string */
char *out_of_bound1 = "first index out of range";
char *out_of_bound2 = "second index out of range";
char *index_out_of_range = "index out of range";
char *must_be_strings = "arguments must be strings";
char *impl_err = "WHAT!? IMPLEMENTATION ERROR !!";
char *length_must_be_even = "length must be even";
/* number */
char *too_big = "argument is too big";
char *wrong_radix = "radix must be 2, 8, 10 or 16";
/* control */
char *type_error_msg = "wrong type in argument";
char *apply_wrong_number = "wrong # of arguments";
char *same_length = "lists must all have same length";
char *last_proper = "last argument must be a proper list";
/* read */
char *wrong_shell_command = "(read) wrong shell command";
char *unexpected_token = "(read) unexpected token: `%s'"; 
char *bad_bool = "(read) boolean expected, but `%s' found";
char *unexpected_numbersign = "(read) unexpected `#'";
char *unexpected_space = "(read) unexpected space after a `#'";
char *num_too_long = "(read) number or symbol too long";
char *number_too_long = "(read) number too long";
char *bad_exact_num = "(read) exact number expected, but `%s' found";
char *bad_num = "(read) number expected, but `%s' found";
char *bad_octal = "(read) octal number expected, but `%s' found";
char *bad_char = "(read) character expected, but `%s' found";
char *bad_char_name = "(read) character name expected, but `%s' found";
char *bad_literal = "(read) ##unbound or ##eof expected, but `%s' found";
char *string_too_long = "(read) string too long";
char *int_expected = "(read) integer expected, but `%s' found";
char *closed_port = "(read) closed port";
char *cannot_peek = "(read) cannot peek char on a socket port";
char *already_reserved = "(socket) this port is already reserved";
char *wrong_prim_name = "(read) `%s' is not the name of a primitive";
/* io */
char *cannot_close = "cannot be closed (probably a server)\n";
char *wrong_port = "argument must be a string port";
char *cannot_seek = "cannot seek on this port";
char *closed = "closed port";
char *no_port = "no port associated to this descriptor";
char *must_be_proc = "argument must be a procedure";
char *wrong_address =  "wrong internet address";
char *cannot_output = "cannot output";
char *filename_too_long = "file name too long";
char *bye =  "Bye.\n";
char *permission_denied = "Permission denied";
char *already_closed = "%s (port already closed)\n";
char *err_inside_string = "End of file encountered inside a string\n(string probably started at line %d in file `%s')\n";
char *err_inside_expr = "End of file encountered inside an expression\n(expression probably followed line %d in file `%s')\n";
char *err_at_line = "Error at line %d in file `%s'\n";
/* print */
char *out_err = "output: cannot write";
/* queue */
char *empty_queue = "queue is empty";
char *negative_index = "index is negative";
/* quad */
char *too_many_args = "too many arguments";
char *wrong_index = "index out of range";
char *pt_infty = "point at infinity";
char *must_be_vect3 = "argument must be a vect3";
char *must_be_bezier = "argument must be a quadratic bezier curve";
char *stack_empty = "stack is empty";
char *null_vect3 = "null vect3";
char *null_quad = "null quad";
/* misc */
char *no_parent = "no parent environment";
char *too_big_or_neg = "argument is too big or negative";
char *err_mode = "mode must be 0,1 or 2";
char *must_be_proc3 = "third argument must be a thunk";
/* code */
char *unknown_code = "Unknown code";
char *prim_call_err = "primitive call (%s) : wrong number of arguments (%d found)";
char *wrong_code = "wrong code";
/* quads and model */
char *wrong_quad_coord = "(read) wrong coordinate in quad";
char *non_zero = "wrong argument (must be non zero)";
/* tk */
char *swit_call_wrong_number = "(swit-call) wrong # of arguments";
char *swit_val_wrong_number = "(swit-val) wrong # of arguments";
char *swit_expr_wrong_number = "(swit-expr) wrong # of arguments";
char *swit_call_isnot_fun = "(swit-call) first argument is not bound to a function";
char *swit_expr_no_env = "(swit-expr) symbol `%s' not bound to an environment";
char *swit_val_not_bound = "(swit-val) unbound symbol";
char *tk_in = "\nin: ";
/* disassemble */
char *dis_impl_err = "IMPLEMENTATION ERROR";
