/*
Copyright (C) 1996,1997,1998,1999 Didier VIDAL

This file is part of Scheme With Types, herein refered as SWiT.

SWiT is free software; you can redistribute it and/or modify it under
the terms of the GNU LIBRARY GENERAL PUBLIC LICENSE as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

SWiT is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
License for more details.

You should have received a copy of the GNU Library General Public License
along with SWiT software; see the file COPYING.
If not, write to the Free Software
Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

*/

/* generic */
char *unknown_error = "erreur inconnue";
/* top-level */
/* init */
char *banner_msg = "Scheme With Types (swit) Version %s (%s)\nAuteur: Didier Vidal\n";
char *browse_msg = "Explorez la documentation avec `helpx'\n";
char *implementation_date = "Avril 1999";
char *load_init = "[ATTENTION] -- erreur  la ligne %d pendant la lecture de %s\n";
char *lib_path_error = "le fichier `%s' n'existe pas !\nVrifiez la variable d'environnement SWIT_LIBRARY_PATH\n";
char *loading_file = "; lecture de `%s' ...\n";
char *skip_file = "[ATTENTION] -- ligne %d : le fichier `%s' n'existe pas (non charg)\n";
char *file_not_exists = "[ATTENTION] -- le fichier `%s' n'existe pas\n";
char *init_done = "Initialisation termine\n";
char *no_tk = "Attention: pas d'extension Tk\n";
char *load_err = "[ATTENTION] --- erreur en cours de lecture de `%s', (non charg)\n";
char *file_not_found = "Fichier `%s' introuvable\n";
/* top level */
char *temps = "dure : %1.0f ms\n";
char *err_prompt = "[ERREUR] -- ";
char *cerr_prompt = "[C-ERREUR] -- ";
char *error_at_line = "%s : erreur  la ligne %d, ";
char *exception_newline = "Exception signale\n";
char *exception = "exception signale";
char *uncaught_exception = "(exception '%s non rattrape)";
char *in = "\ndans : ";
char *arith_error = "Erreur arithmtique\n";
char *stack_overflow = "Dpassement de pile\n";
char *bus_error = "Erreur de bus\n";
char *seg_fault = "Faute de segmentation\n";
char *interrupt_received = "Interruption reue\n";
char *ret_to_top = "Retour au top-level\n";
char *comp_impl_err = " (compilation) ERREUR D'IMPLEMENTATION";
char *type_impl_err = " (typage) ERREUR D'IMPLEMENTATION";
/* eval */
char *wrong_type = "mauvais type d'argument";
char *wrong_arity = "mauvais nombre d'arguments (%d trouv(s))";
char *must_be_thunk = "`thunk' attendu (%d arguments trouv(s))";
char *not_a_thunk = "la fonction n'est pas un `thunk'";
char *prim_redef = "[ATTENTION] -- redfinition de la primitive `%s'\n";
char *call_cc_wrong_arg = "call/cc: mauvais argument";
char *improper_list = "liste impropre";
char *not_a_proc = "call: pas de procedure";
/* character */
char *out_of_range = "borne dpasse";
/* pair */
char *not_a_pair = "l'argument doit tre une cellule";
char *proper_list = "l'argument doit tre une liste pure";
char *proper_list1 = "le premier argument doit tre une liste pure";
char *list_of_pairs = "le second argument doit tre une liste de cellules";
char *index_too_large = "index trop grand";
char *not_an_alist = "l'argument doit tre une a-list";
/* symbol */
char *wrong_number = "mauvais nombre d'arguments, 3 au moins taient attendus mais 2 furent trouvs";
char *iskeyword = "l'argument est un mot-cl";
char *cannot_set = "impossible de faire une affectation sur le symbol";
char *isunbound = "symbol sans valeur";
char *cannot_unbound = "symbol ne pouvant redevenir sans valeur";
char *sig_not_defined = "signature pas dfinie";
/* vector */
char *finite_list = "l'argument doit tre une liste finie";
char *bsearch_error = "erreur inconnue dans #'binary-search ou #'sort!";
char *bsearch_error2 = "#'binary-search or #'sort!: le second argument n'est pas une `fonction de comparaison'";
/* string */
char *out_of_bound1 = "premier index hors limites";
char *out_of_bound2 = "second index hors limites";
char *index_out_of_range = "index hors limites";
char *must_be_strings = "les arguments doivent tre des chaines";
char *impl_err = "QUOI!? ERREUR D'IMPLEMENTATION !!";
char *length_must_be_even = "la longueur doit tre paire";
/* number */
char *too_big = "argument trop grand";
char *wrong_radix = "la base doit tre 2, 8, 10 ou 16";
/* control */
char *type_error_msg = "mauvais type d'argument";
char *apply_wrong_number = "mauvais nombre d'arguments";
char *same_length = "les listes doivent toutes avoir la mme longueur";
char *last_proper = "le dernier doit tre une liste pure";
/* read */
char *wrong_shell_command = "(read) commande de shell absente";
char *unexpected_token = "(read) token inattendu: `%s'"; 
char *bad_bool = "(read) boolen attendu, mais `%s' lu";
char *unexpected_numbersign = "(read) `#'inattendu";
char *unexpected_space = "(read) espace inattendu aprs un `#'";
char *num_too_long = "(read) nombre ou symbol trop long";
char *number_too_long = "(read) nombre trop long";
char *bad_exact_num = "(read) nombre exact attendu, mais `%s' lu";
char *bad_num = "(read) nombre attendu, mais `%s' lu";
char *bad_octal = "(read) nombre octal attendu, mais `%s' lu";
char *bad_char = "(read) caractre attendu, mais `%s' lu";
char *bad_char_name = "(read) nom de caractre attendu, mais `%s' lu";
char *bad_literal = "(read) ##unbound ou ##eof attendu, mais `%s' lu";
char *string_too_long = "(read) chaine trop longue";
char *int_expected = "(read) entier attendu, mais `%s' lu";
char *closed_port = "(read) port ferm";
char *cannot_peek = "(read) impossible de lire le caractre en attente sur une socket";
char *already_reserved = "(socket) ce port est dj rserv";
char *wrong_prim_name = "(read) `%s' n'est pas le nom d'une primitive";
/* io */
char *cannot_close = "fermeture impossible (probablement un serveur)\n";
char *wrong_port = "l'argument doit tre un port associ  une chaine";
char *cannot_seek = "pas de dplacement possible sur ce port";
char *closed = "port ferm";
char *no_port = "pas de port associ  ce descripteur";
char *must_be_proc = "l'argument doit tre une procdure";
char *wrong_address =  "mauvaise adresse internet";
char *cannot_output = "sortie impossible";
char *filename_too_long = "nom de fichier trop long";
char *bye =  "Bye.\n";
char *permission_denied = "Permission refuse";
char *already_closed = "%s (port dj ferm)\n";
char *err_inside_string = "Fin de fichier rencontr  l'intrieur d'une chaine\n(dbut de chaine situ probablement aprs la ligne %d dans le fichier `%s')\n";
char *err_inside_expr = "Fin de fichier rencontr  l'intrieur d'une expression\n(dbut d'expression situ probablement aprs la ligne %d dans le fichier `%s')\n";
char *err_at_line = "Erreur  la ligne %d dans le fichier `%s'\n";
/* print */
char *out_err = "sortie: criture impossible";
/* queue */
char *empty_queue = "file vide";
char *negative_index = "index negatif";
/* quad */
char *too_many_args = "trop d'arguments";
char *wrong_index = "index hors limites";
char *pt_infty = "point  l'infini";
char *must_be_vect3 = "l'argument doit tre un `vect3'";
char *must_be_bezier = "l'argument doit tre une courbe de bzier quadratique";
char *stack_empty = "pile vide";
char *null_vect3 = "vect3 nul";
char *null_quad = "quad nul";
/* misc */
char *no_parent = "pas d'environment parent";
char *too_big_or_neg = "l'argument est trop grand ou bien ngatif";
char *err_mode = "le mode doit tre 0,1 or 2";
char *must_be_proc3 = "le troisime argument doit tre une procdure d'arit 0";
/* code */
char *unknown_code = "Code inconnu";
char *prim_call_err = "appel de primitive (%s) : mauvais nombre d'arguments (%d trouv(s))";
char *wrong_code = "mauvais code";
/* quads and model */
char *wrong_quad_coord = "(read) mauvaise coordonne pour un `quad'";
char *non_zero = "mauvais argument (doit tre non nul)";
/* tk */
char *swit_call_wrong_number = "(swit-call) mauvais nombre d'arguments";
char *swit_val_wrong_number = "(swit-val) mauvais nombre d'arguments";
char *swit_expr_wrong_number = "(swit-expr) mauvais nombre d'arguments";
char *swit_call_isnot_fun = "(swit-call) le premier argument n'est pas une fonction";
char *swit_expr_no_env = "(swit-expr) la valeur du symbol `%s' n'est pas un environnement";
char *swit_val_not_bound = "(swit-val) symbol sans valeur";
char *tk_in = "\ndans : ";
/* disassemble */
char *dis_impl_err = "ERREUR D'IMPLEMENTATION";
